var marqueeContent=new Array();
marqueeContent[0]='<a href="http://www.niu888.com/news/201011/42.html"><font color=black>《玛丽外宿中》张根硕新角色虏获人心，玛丽外宿中高速播放也虏获网友的心。</font></a>';
marqueeContent[1]='<a href="http://www.niu888.com/news/201011/41.html"><font color=black>《危情时速》正式上映，危情时速QVOD高速播放，灾难中才见真英雄。</font></a>';
marqueeContent[2]='<a href="http://www.niu888.com/news/201011/40.html"><font color=black>《无价之宝》张柏芝复出之石，讲述了几个家庭在小岛上的历险故事。</font></a>';
marqueeContent[3]='<a href="http://www.niu888.com/news/201011/39.html"><font color=black>电视剧《风语》开拍，胡军、郭晓冬、孙宁加盟主演。</font></a>';
marqueeContent[4]='<a href="http://www.niu888.com/news/201011/38.html"><font color=black>青春爱情电影《我们约会吧》北京杀青，郭敬明称写剧本有挑战</font></a>';
var marqueeInterval=new Array();
var marqueeId=0;
var marqueeDelay=3000;
var marqueeHeight=20;
function initMarquee() {
    var str=marqueeContent[0];
    document.write('<div id=marqueeBox style="overflow:hidden;height:'+marqueeHeight+'px" onmouseover="clearInterval(marqueeInterval[0])" onmouseout="marqueeInterval[0]=setInterval(\'startMarquee()\',marqueeDelay)"><div>'+str+'</div></div>');
    marqueeId++;
    marqueeInterval[0]=setInterval("startMarquee()",marqueeDelay);
    }
function startMarquee() {
    var str=marqueeContent[marqueeId];
        marqueeId++;
    if(marqueeId>=marqueeContent.length) marqueeId=0;
    if(marqueeBox.childNodes.length==1) {
        var nextLine=document.createElement('DIV');
        nextLine.innerHTML=str;
        marqueeBox.appendChild(nextLine);
        }
    else {
        marqueeBox.childNodes[0].innerHTML=str;
        marqueeBox.appendChild(marqueeBox.childNodes[0]);
        marqueeBox.scrollTop=0;
        }
    clearInterval(marqueeInterval[1]);
    marqueeInterval[1]=setInterval("scrollMarquee()",1);
    }
function scrollMarquee() {
    marqueeBox.scrollTop++;
    if(marqueeBox.scrollTop%marqueeHeight==(marqueeHeight-1)){
        clearInterval(marqueeInterval[1]);
        }
    }

initMarquee();